curl --request PUT \
--url https://app.dynamicauth.com/api/v0/organizations/{organizationId}/customNetworks/{networkId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"networkType": "ETH",
"chainName": "Base Mainnet",
"chainId": "8453",
"rpcUrl": "https://website-sample.com",
"blockExplorerUrl": "https://website-sample.com",
"iconUrl": "https://website-sample.com",
"nativeCurrencyName": "Ethereum",
"nativeCurrencySymbol": "ETH",
"nativeCurrencyIconUrl": "https://website-sample.com",
"nativeCurrencyDecimals": 18
}
'{
"customNetwork": {
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"networkType": "ETH",
"chainName": "<string>",
"chainId": "<string>",
"rpcUrl": "https://website-sample.com",
"blockExplorerUrl": "https://website-sample.com",
"iconUrl": "https://website-sample.com",
"nativeCurrencyName": "<string>",
"nativeCurrencySymbol": "<string>",
"nativeCurrencyIconUrl": "https://website-sample.com",
"nativeCurrencyDecimals": 9
}
}curl --request PUT \
--url https://app.dynamicauth.com/api/v0/organizations/{organizationId}/customNetworks/{networkId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"networkType": "ETH",
"chainName": "Base Mainnet",
"chainId": "8453",
"rpcUrl": "https://website-sample.com",
"blockExplorerUrl": "https://website-sample.com",
"iconUrl": "https://website-sample.com",
"nativeCurrencyName": "Ethereum",
"nativeCurrencySymbol": "ETH",
"nativeCurrencyIconUrl": "https://website-sample.com",
"nativeCurrencyDecimals": 18
}
'{
"customNetwork": {
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"networkType": "ETH",
"chainName": "<string>",
"chainId": "<string>",
"rpcUrl": "https://website-sample.com",
"blockExplorerUrl": "https://website-sample.com",
"iconUrl": "https://website-sample.com",
"nativeCurrencyName": "<string>",
"nativeCurrencySymbol": "<string>",
"nativeCurrencyIconUrl": "https://website-sample.com",
"nativeCurrencyDecimals": 9
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of organization
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
The unique identifier of the custom network
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Data to update the custom network
ETH, EVM, FLOW, SOL, ALGO, STARK, COSMOS, BTC, ECLIPSE, SUI, SPARK, TRON, APTOS, TON Name of the custom network
100^(?=\S)[\p{L}\p{N} _.,-]+(?<=\S)$"Base Mainnet"
Chain ID of the network
100^[0-9]+$"8453"
255^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$"https://website-sample.com"
255^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$"https://website-sample.com"
255^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$"https://website-sample.com"
Full name of the native currency
100^(?=\S)[\p{L}\p{N} _.,-]+(?<=\S)$"Ethereum"
Symbol of the native currency
100^[A-Z0-9]{1,10}$"ETH"
255^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$"https://website-sample.com"
Number of decimals for the native currency
0 <= x <= 1818
Custom network updated
Show child attributes
Was this page helpful?